/*gcc -shared HelloWorldNative.c -o libHelloWorldNative.so $JNI_INCLUDES*/
#include <jni.h>
#include <stdio.h>
#include "HelloWorldNative.h"

JNIEXPORT void JNICALL 
   Java_HelloWorldNative_print(JNIEnv *env, jobject obj)
{
   jclass	cls;
   jweak 	hint;

   /* get the class */
   cls = (*env)->GetObjectClass(env, obj);
   /* get a WEAK reference to the class */
   hint = (*env)->NewWeakGlobalRef(env,cls);
   printf("Got weak reference\n");
   (*env)->DeleteWeakGlobalRef(env,hint);
   printf("dumped weak reference\n");
}


